Gecode::PropagateTraceInfo Class Reference

Propagate trace information. More...

`#include <core.hpp>`

## Public Types

enum | Status { FIX , NOFIX , FAILED , SUBSUMED }
| Propagator status. More...

## Public Member Functions

unsigned int | id (void) const
| Return propagator identifier.
PropagatorGroup | group (void) const
| Return propagator group.
const Propagator * | propagator (void) const
| Return pointer to non-subsumed propagator.
Status | status (void) const
| Return propagator status.

## Protected Member Functions

| PropagateTraceInfo (unsigned int i, PropagatorGroup g, const Propagator *p, Status s)
| Initialize.

## Protected Attributes

unsigned int | i
| Propagator id.
PropagatorGroup | g
| Propagator group.
const Propagator * | p
| Propagator.
Status | s
| Status.

## Related Symbols

(Note that these are not member symbols.)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | operator<< (std::basic_ostream< Char, Traits > &os, const PropagateTraceInfo &pti)
| Print propagate trace information.

## Detailed Description

Propagate trace information.

Definition at line 969 of file core.hpp.

## Member Enumeration Documentation

## Status

enum Gecode::PropagateTraceInfo::Status

Propagator status.

Enumerator
FIX | Propagator computed fixpoint.
NOFIX | Propagator did not compute fixpoint.
FAILED | Propagator failed.
SUBSUMED | Propagator is subsumed.

Definition at line 973 of file core.hpp.

## Constructor & Destructor Documentation

## PropagateTraceInfo()

Gecode::PropagateTraceInfo::PropagateTraceInfo | ( | unsigned int | i,
|  | PropagatorGroup | g,
|  | const Propagator * | p,
|  | Status | s )

inline protected

Initialize.

Definition at line 3378 of file core.hpp.

## Member Function Documentation

## id()

unsigned int Gecode::PropagateTraceInfo::id | ( | void |  | ) | const

inline

Return propagator identifier.

Definition at line 3382 of file core.hpp.

## group()

PropagatorGroup Gecode::PropagateTraceInfo::group | ( | void |  | ) | const

inline

Return propagator group.

Definition at line 3386 of file core.hpp.

## propagator()

const Propagator * Gecode::PropagateTraceInfo::propagator | ( | void |  | ) | const

inline

Return pointer to non-subsumed propagator.

Definition at line 3390 of file core.hpp.

## status()

PropagateTraceInfo::Status Gecode::PropagateTraceInfo::status | ( | void |  | ) | const

inline

Return propagator status.

Definition at line 3394 of file core.hpp.

## Friends And Related Symbol Documentation

## operator<<()

template<class Char, class Traits>

std::basic_ostream< Char, Traits > & operator<< | ( | std::basic_ostream< Char, Traits > & | os,
|  | const PropagateTraceInfo & | pti )

related

Print propagate trace information.

Definition at line 1 of file print.hpp.

## Member Data Documentation

## i

unsigned int Gecode::PropagateTraceInfo::i

protected

Propagator id.

Definition at line 981 of file core.hpp.

## g

PropagatorGroup Gecode::PropagateTraceInfo::g

protected

Propagator group.

Definition at line 983 of file core.hpp.

## p

const Propagator* Gecode::PropagateTraceInfo::p

protected

Propagator.

Definition at line 985 of file core.hpp.

## s

Status Gecode::PropagateTraceInfo::s

protected

Status.

Definition at line 987 of file core.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/core.hpp
- gecode/kernel/trace/print.hpp